Get Signal Agent configuration history
curl --request GET \
--url https://api.lemlist.com/api/watchlist/history \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/watchlist/history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/watchlist/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/watchlist/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/watchlist/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"_id": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"name": "<string>",
"emoji": "<string>",
"type": "companyIsHiring",
"entity": "contact",
"segmentType": "all",
"filters": [
{
"filterId": "title",
"in": [
"<string>"
],
"out": [
"<string>"
]
}
],
"signalProcessingType": "manual",
"stats": {
"signalsCount": 123,
"campaigns": [
{}
]
}
}
],
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"totalRecords": 123,
"totalPages": 123
}
}
}page must be a positive integerUnauthorizedWatchList not found or access deniedInternal server errorSignal Agents
Get Signal Agent configuration history
Retrieves the configuration history of a Signal Agent — each past config version with its active period and stats.
GET
/
watchlist
/
history
Get Signal Agent configuration history
errorEach entry captures a past configuration version that was active during
[startDate, endDate). The current, live configuration stays on the Signal Agent itself and is not part of the history.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Signal Agent id whose history to fetch
Minimum string length:
1Page number to retrieve
Required range:
x >= 1Number of records to retrieve. Maximum value: 100
Required range:
1 <= x <= 100Was this page helpful?